org.apache.lucene.sandbox.queries

## Enum DuplicateFilter.KeepMode

- java.lang.Object
- - java.lang.Enum<DuplicateFilter.KeepMode>
  - - org.apache.lucene.sandbox.queries.DuplicateFilter.KeepMode

- All Implemented Interfaces:
    Serializable, Comparable<DuplicateFilter.KeepMode>
  Enclosing class:
    DuplicateFilter

      public static enum DuplicateFilter.KeepMode
      extends Enum<DuplicateFilter.KeepMode>

  KeepMode determines which document id to consider as the master, all others being identified as duplicates. Selecting the "first occurrence" can potentially save on IO.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `KM_USE_FIRST_OCCURRENCE`
    `KM_USE_LAST_OCCURRENCE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DuplicateFilter.KeepMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DuplicateFilter.KeepMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### KM_USE_FIRST_OCCURRENCE

          public static final DuplicateFilter.KeepMode KM_USE_FIRST_OCCURRENCE

    - #### KM_USE_LAST_OCCURRENCE

          public static final DuplicateFilter.KeepMode KM_USE_LAST_OCCURRENCE

  - ### Method Detail

    - #### values

          public static DuplicateFilter.KeepMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DuplicateFilter.KeepMode c : DuplicateFilter.KeepMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DuplicateFilter.KeepMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.